%global modulename gonzales-pe

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-gonzales-pe
Version:        4.2.3
Release:        1%{?dist}
Summary:        Gonzales Preprocessor Edition (fast CSS parser)

License:        MIT
URL:            http://github.com/tonyganch/gonzales-pe
Source0:        https://registry.npmjs.org/gonzales-pe/-/gonzales-pe-4.2.3.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(minimist) >= 1.1.0 with npmlib(minimist) < 1.2.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Gonzales Preprocessor Edition (fast CSS parser)

%package 4.2.3
Summary:        Gonzales Preprocessor Edition (fast CSS parser)


%description 4.2.3
Gonzales Preprocessor Edition (fast CSS parser)

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .editorconfig %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc.yaml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jscs.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jshintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr appveyor.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr webpack.config.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/gonzales.js %{buildroot}/%{_bindir}/gonzales


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc .gitmessage.txt
%doc CHANGELOG.md
%doc MIT-LICENSE.txt
%doc README.md
%{_bindir}/gonzales
%{nodejs_dir}/%{modulename}

%files 4.2.3
%doc .gitmessage.txt
%doc CHANGELOG.md
%doc MIT-LICENSE.txt
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 4.2.3-1
- Package automatically generated by npm2srpm
